module CubeHash_TOP(
   clk, rst_n,
   init, load, fetch,
   idata, odata,
   ack, EOM
);

/************************ input / output *************************/
//{{{
input clk;
input rst_n;

input init;
input load;
input fetch;

output ack;

input EOM;
input [15:0] idata;
output [15:0] odata;
//}}}

/************************ wire ***********************************/
//{{{
wire [255:0] msg;
wire [255:0] hash;

wire busy;
wire start;
//}}}


/************************ instance *******************************/
//{{{
CubeHash_INTERFACE CubeHash_interface(
   .clk(clk), .rst_n(rst_n),
   .load(load), .fetch(fetch),
   .idata(idata), .odata(odata),
   .busy(busy), .start(start), .ack(ack),
   .msg(msg), .hash(hash));

CubeHash_CORE CubeHash_core(
   .clk(clk), .rst_n(rst_n),
   .init(init), .busy(busy), .start(start), 
   .msg(msg), .hash(hash), .EOM(EOM)
);
//}}}


endmodule

// vim:fdm=marker
